Index: gap-4.15.0~beta1/lib/system.g
===================================================================
--- gap-4.15.0~beta1.orig/lib/system.g
+++ gap-4.15.0~beta1/lib/system.g
@@ -25,9 +25,9 @@ BIND_GLOBAL( "GAPInfo", rec(
     Dependencies := MakeImmutable(rec(
       NeededOtherPackages := [
         [ "gapdoc", ">= 1.2" ],
-        [ "primgrp", ">= 3.1.0" ],
-        [ "smallgrp", ">= 1.0" ],
-        [ "transgrp", ">= 1.0" ],
+ #       [ "primgrp", ">= 3.1.0" ],
+ #       [ "smallgrp", ">= 1.0" ],
+ #       [ "transgrp", ">= 1.0" ],
       ],
     )),
 # There is no SuggestedOtherPackages here because the default value of
Index: gap-4.15.0~beta1/lib/package.gi
===================================================================
--- gap-4.15.0~beta1.orig/lib/package.gi
+++ gap-4.15.0~beta1/lib/package.gi
@@ -1951,7 +1951,7 @@ that were autoloaded in &GAP; 4.4 (add o
     ],
   default:= [ "autpgrp", "alnuth", "crisp", "ctbllib", "factint", "fga",
               "irredsol", "laguna", "PackageManager", "polenta", "polycyclic",
-              "resclasses", "sophus", "tomlib" ],
+              "resclasses", "sophus", "tomlib", "smallgrp", "primgrp", "transgrp" ],
   values:= function() return RecNames( GAPInfo.PackagesInfo ); end,
   multi:= true,
   ) );
Index: gap-4.15.0~beta1/doc/ref/user_pref_list.xml
===================================================================
--- gap-4.15.0~beta1.orig/doc/ref/user_pref_list.xml
+++ gap-4.15.0~beta1/doc/ref/user_pref_list.xml
@@ -197,7 +197,7 @@ autoloaded in &GAP; 4.4 (add or remove p
 
 <P/>
 
-Default: <C>[ "autpgrp", "alnuth", "crisp", "ctbllib", "factint", "fga", "irredsol", "laguna", "PackageManager", "polenta", "polycyclic", "resclasses", "sophus", "tomlib" ]</C>.
+Default: <C>[ "autpgrp", "alnuth", "crisp", "ctbllib", "factint", "fga", "irredsol", "laguna", "PackageManager", "polenta", "polycyclic", "resclasses", "sophus", "tomlib", "smallgrp", "primgrp", "transgrp" ]</C>.
 </Item>
 <Mark>
 <Index Key='Pager'><C>Pager</C></Index>
